import java.io.*;
import java.util.*;
import java.math.*;
//VU template ver0.01

public class gen_random1 {

	static double dist (int x1, int y1, int x2, int y2) {
 		return Math.sqrt((x1 - x2) * (x1 - x2) + (y1 - y2) * (y1 - y2));
 	}

	static double sq (double a, double b, double c) {
 		double p = (a + b + c) / 2;  //!
 		return Math.sqrt(p * (p - a) * (p - b) * (p - c)); //nado podumat'
 	}             

	static boolean inside (int xc, int yc, int x1, int y1, int x2, int y2, int x3, int y3) {
		double s1 = sq(dist(x1, y1, x2, y2), dist(x1, y1, xc, yc), dist(x2, y2, xc, yc));
		double s2 = sq(dist(x1, y1, x3, y3), dist(x1, y1, xc, yc), dist(x3, y3, xc, yc));
		double s3 = sq(dist(x3, y3, x2, y2), dist(x3, y3, xc, yc), dist(x2, y2, xc, yc));
		double s = sq(dist(x3, y3, x2, y2), dist(x3, y3, x1, y1), dist(x2, y2, x1, y1));

		return Math.abs(s1 + s2 + s3 - s) < 0.00001;
	}

        static boolean triangleTest (int x1, int y1, int x2, int y2, int x3, int y3) {
        	return ((x2 - x1) * (x3 - x1) + (y2 - y1) * (y3 - y1) > 0) && 
        	       ((x2 - x3) * (x1 - x3) + (y2 - y3) * (y1 - y3) > 0) && 
        	       ((x1 - x2) * (x3 - x2) + (y1 - y2) * (y3 - y2) > 0) &&
        	       ((x1 - x2) * (y3 - y2) - (x3 - x2) * (y1 - y2) != 0);
        }

	public static void main(String[] args) throws IOException {
		Random rand = new Random(2046646);
		int maxVal = 10000;
		for (int k = 3; k <= 20; k++) {
			PrintWriter out = new PrintWriter(new File(k / 10 + "" + k % 10)); //System.out
                        int x1 = rand.nextInt(2 * maxVal + 1) - maxVal;
                        int y1 = rand.nextInt(2 * maxVal + 1) - maxVal;
                        int x2 = rand.nextInt(2 * maxVal + 1) - maxVal;
                        int y2 = rand.nextInt(2 * maxVal + 1) - maxVal;
                        int x3 = rand.nextInt(2 * maxVal + 1) - maxVal;
                        int y3 = rand.nextInt(2 * maxVal + 1) - maxVal;

                        while (!triangleTest(x1, y1, x2, y2, x3, y3)) {
                        	x3 = rand.nextInt(2 * maxVal + 1) - maxVal;   //comment it
	                        y3 = rand.nextInt(2 * maxVal + 1) - maxVal;
                        }

                        int minx = Math.min(Math.min(x1, x2), x3);
                        int miny = Math.min(Math.min(y1, y2), y3);
                        int maxx = Math.max(Math.max(x1, x2), x3);
                        int maxy = Math.max(Math.max(y1, y2), y3);

                        int xc = rand.nextInt(maxx - minx + 1) + minx;
                        int yc = rand.nextInt(maxy - miny + 1) + miny;
                        while (!inside(xc, yc, x1, y1, x2, y2, x3, y3)) {
                        	xc = rand.nextInt(maxx - minx + 1) + minx;
                        	yc = rand.nextInt(maxy - miny + 1) + miny;
                        }

                        out.println(x1 + " " + y1 + " " + x2 + " " + y2 + " " + x3 + " " + y3);
                        out.println(xc + " " + yc);

			out.close();
		}
	}

}